FLAC 1.3.3

Public Attributes | List of all members
FLAC__Subframe_Fixed Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes
FLAC__EntropyCodingMethod | entropy_coding_method
uint32_t | order
FLAC__int32 | warmup [FLAC__MAX_FIXED_ORDER]
const FLAC__int32 * | residual

## Detailed Description

FIXED subframe. (c.f. format specification)

## Member Data Documentation

## ◆ entropy_coding_method

FLAC__EntropyCodingMethod FLAC__Subframe_Fixed::entropy_coding_method

The residual coding method.

## ◆ order

uint32_t FLAC__Subframe_Fixed::order

The polynomial order.

## ◆ warmup

FLAC__int32 FLAC__Subframe_Fixed::warmup[FLAC__MAX_FIXED_ORDER]

Warmup samples to prime the predictor, length == order.

## ◆ residual

const FLAC__int32* FLAC__Subframe_Fixed::residual

The residual signal, length == (blocksize minus order) samples.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |